summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-03-13 17:42:08 +0100
committerHolger Levsen <holger@layer-acht.org>2015-03-13 17:42:08 +0100
commit20da1c9e6d98879f61053404306e1c010919b021 (patch)
treed422b615f82d47e45d01045fb607d7e5a744a08a /bin
parent88c565468c0c8bd7ef2cfefa66b88451d55fbb1a (diff)
downloadjenkins.debian.net-20da1c9e6d98879f61053404306e1c010919b021.tar.xz
reproducible: fix strange syntax error by triggering warnings instead
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index f8efd220..a2a12ac9 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -191,7 +191,7 @@ else
# preserve RBUILDLOG as TMPLOG, then cleanup userContent from previous builds,
# and then access RBUILDLOG with it's correct name (=eversion)
TMPLOG=$(mktemp)
- mv ${RBUILDLOG} ${TMPLOG} || { echo "Warning, package ${SRCPACKAGE} in ${SUITE} on ${ARCH} is probably already building elsewhere, exiting." ; echo "Warning, package ${SRCPACKAGE} in ${SUITE} on ${ARCH} is probably already building elsewhere, exiting." | mail -s "race condition found" qa-jenkins-scm@lists.alioth.debian.org ; exit 0 }
+ mv ${RBUILDLOG} ${TMPLOG} || { echo "Warning, package ${SRCPACKAGE} in ${SUITE} on ${ARCH} is probably already building elsewhere, exiting." ; exit 0 }
cleanup_userContent
RBUILDLOG=/var/lib/jenkins/userContent/rbuild/${SUITE}/${ARCH}/${SRCPACKAGE}_${EVERSION}.rbuild.log
mv ${TMPLOG} ${RBUILDLOG}